[Launch]
WorkingDirectory=%FullAppDir%
SinglePortableAppInstance=true
MinOS=7
DirectoryMoveOK=yes
RefreshShellIcons=after

[Activate]
Registry=true
XML=true

[RegistryValueWrite]
HKCU\Software\AntGROUP\DL.partable\AppFolder=REG_SZ:%PAL:AppDir%\AntDM

[RegistryKeys]
AntGROUP=HKCU\Software\AntGROUP
-=HKCU\Software\Cliqz\NativeMessagingHosts\com.antdm.antff
-=HKCU\Software\CocCoc\Browser\NativeMessagingHosts\com.dlhelper.ch
-=HKCU\Software\ComodoGroup\NativeMessagingHosts\com.antdm.antff
-=HKCU\Software\Microsoft\Edge\NativeMessagingHosts\com.dlhelper.ch
-=HKCU\Software\Google\Chrome\NativeMessagingHosts\com.dlhelper.ch
-=HKCU\Software\Mozilla\NativeMessagingHosts\com.antdm.antff
-=HKCU\Software\CocCoc\Browser\Extensions\dalgiebmfcjackkbjfbfmlnflbdfbekj
-=HKCU\Software\Microsoft\Edge\Extensions\dalgiebmfcjackkbjfbfmlnflbdfbekj
-=HKCU\Software\Google\Chrome\Extensions\dalgiebmfcjackkbjfbfmlnflbdfbekj
-=HKCU\Software\Classes\AntDM.torrent
-=HKCU\Software\Classes\Magnet
-=HKCU\Software\Classes\.torrent
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\FileExts\.v792
-=HKCU\Software\Microsoft\Windows\CurrentVersion\Explorer\CLSID\{277F3792-EF73-CDEF-93A2-83E01D8C03EC}

[RegistryValueBackupDelete]
1=HKCU\Software\Microsoft\Windows\CurrentVersion\Run\AntDM

[RegistryCleanupIfEmpty]
1=HKCU\Software\Cliqz\NativeMessagingHosts
2=HKCU\Software\Cliqz
3=HKCU\Software\ComodoGroup\NativeMessagingHosts
4=HKCU\Software\ComodoGroup
5=HKCU\Software\Mozilla\NativeMessagingHosts
6=HKCU\Software\Mozilla
7=HKCU\Software\CocCoc\Browser\NativeMessagingHosts
8=HKCU\Software\CocCoc\Browser\Extensions\dalgiebmfcjackkbjfbfmlnflbdfbekj
9=HKCU\Software\CocCoc\Browser\Extensions
10=HKCU\Software\CocCoc\Browser
11=HKCU\Software\CocCoc
12=HKCU\Software\Microsoft\Edge\NativeMessagingHosts
13=HKCU\Software\Microsoft\Edge\Extensions\dalgiebmfcjackkbjfbfmlnflbdfbekj
14=HKCU\Software\Microsoft\Edge\Extensions
15=HKCU\Software\Microsoft\Edge
16=HKCU\Software\Google\Chrome\Extensions\dalgiebmfcjackkbjfbfmlnflbdfbekj
17=HKCU\Software\Google\Chrome\Extensions

[Language]
Base=%PortableApps.comLocaleName%
CheckIfExists=%FullAppDir%\Languages\%PAL:LanguageCustom%*.lng
DefaultIfNotExists=0409

[LanguageStrings]
Arabic=0401
Bulgarian=0402
Danish=0406
Dutch=0413
English=0409
French=040C
German=0407
Greek=0408
Hungarian=040E
Hebrew=040D
Hindi=0439
Italian=0410
Korean=0412
Farsi=0429
Polish=0415
PortugueseBR=0416
Romanian=0418
Russian=0419
Slovak=041B
SimpChinese=0804
TradChinese=0404
Slovenian=0424
Spanish=040A
Swedish=041D
Turkish=041F
Ukrainian=0422
Urdu=0420
Vietnamese=042A

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\AntGROUP.reg
Section=HKEY_CURRENT_USER\Software\AntGROUP\DL.partable
Key='"LANGID"'

[FileWrite1]
Type=INI
File=Disabled is not running under PortableApps.com platform
Section=HKEY_CURRENT_USER\Software\AntGROUP\DL.partable
Key='"LANGID"'
Value=dword:0000%PAL:LanguageCustom%

[FileWrite2]
Type=INI
File=Disabled is not running under PortableApps.com platform
Section=HKEY_CURRENT_USER\Software\AntGROUP\DL.partable
Key='"LANGFILE"'
Value=

[FileWrite3]                                     
Type=ConfigWrite
File=%FullAppDir%\AntDM.portable.ini
Entry=apphome=
Value=%PAL:DataDir%\AntDM

[FileWrite4]                                     
Type=XML attribute
File=%FullAppDir%\AntDM.exe.manifest
XPath=/assembly[@xmlns="urn:schemas-microsoft-com:asm.v1"][@manifestVersion="1.0"]/file[@name="AntDM.dll"]
Attribute=loadFrom
Value=%FullAppDir%\AntDM.dll
